<?php

namespace Opentalent\OtStats\Domain\Model;

class MatomoWebsite
{
    /**
     * Website's id in the matomo DB
     * @var int
     */
    public $id;

    /**
     * Name of the website in the matomo db
     *
     * @var string
     */
    public $name;

    /**
     * Main url of the website to monitor
     *
     * @var string
     */
    public $mainUrl;

    /**
     * Ips to ignore
     *
     * @var
     */
    public $excludedIps;

    /**
     * Matomo type (always 'website')
     *
     * @var string
     */
    public $type;

    /**
     * Login of the record creator (always 'matomo')
     *
     * @var string
     */
    public $creatorLogin;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getMainUrl(): string
    {
        return $this->mainUrl;
    }

    /**
     * @param string $mainUrl
     */
    public function setMainUrl(string $mainUrl): void
    {
        $this->mainUrl = $mainUrl;
    }

    /**
     * @return mixed
     */
    public function getExcludedIps()
    {
        return $this->excludedIps;
    }

    /**
     * @param mixed $excludedIps
     */
    public function setExcludedIps($excludedIps): void
    {
        $this->excludedIps = $excludedIps;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @param string $type
     */
    public function setType(string $type): void
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getCreatorLogin(): string
    {
        return $this->creatorLogin;
    }

    /**
     * @param string $creatorLogin
     */
    public function setCreatorLogin(string $creatorLogin): void
    {
        $this->creatorLogin = $creatorLogin;
    }

}
